--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_TRUE
  value: "'1'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_FALSE
  value: "'0'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: COMMA_SEPARATOR
  value: "', '.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: DELETE_CLAUSE_METHODS
  value: Dataset.clause_methods(:delete, %w'with from output from2 where')
- !ruby/object:RI::Constant 
  comment: 
  name: INSERT_CLAUSE_METHODS
  value: Dataset.clause_methods(:insert, %w'with into columns output values')
- !ruby/object:RI::Constant 
  comment: 
  name: SELECT_CLAUSE_METHODS
  value: Dataset.clause_methods(:select, %w'with limit distinct columns from table_options join where group order having compounds')
- !ruby/object:RI::Constant 
  comment: 
  name: UPDATE_CLAUSE_METHODS
  value: Dataset.clause_methods(:update, %w'with table set output from where')
- !ruby/object:RI::Constant 
  comment: 
  name: WILDCARD
  value: LiteralString.new('*').freeze
- !ruby/object:RI::Constant 
  comment: 
  name: CONSTANT_MAP
  value: "{:CURRENT_DATE=>'CAST(CURRENT_TIMESTAMP AS DATE)'.freeze, :CURRENT_TIME=>'CAST(CURRENT_TIMESTAMP AS TIME)'.freeze}"
full_name: Sequel::MSSQL::DatasetMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: complex_expression_sql
- !ruby/object:RI::MethodSummary 
  name: constant_sql
- !ruby/object:RI::MethodSummary 
  name: disable_insert_output
- !ruby/object:RI::MethodSummary 
  name: disable_insert_output!
- !ruby/object:RI::MethodSummary 
  name: fetch_rows
- !ruby/object:RI::MethodSummary 
  name: full_text_search
- !ruby/object:RI::MethodSummary 
  name: insert_select
- !ruby/object:RI::MethodSummary 
  name: multi_insert_sql
- !ruby/object:RI::MethodSummary 
  name: nolock
- !ruby/object:RI::MethodSummary 
  name: output
- !ruby/object:RI::MethodSummary 
  name: output!
- !ruby/object:RI::MethodSummary 
  name: quoted_identifier
- !ruby/object:RI::MethodSummary 
  name: select_sql
- !ruby/object:RI::MethodSummary 
  name: server_version
- !ruby/object:RI::MethodSummary 
  name: supports_intersect_except?
- !ruby/object:RI::MethodSummary 
  name: supports_is_true?
- !ruby/object:RI::MethodSummary 
  name: supports_join_using?
- !ruby/object:RI::MethodSummary 
  name: supports_multiple_column_in?
- !ruby/object:RI::MethodSummary 
  name: supports_window_functions?
name: DatasetMethods
superclass: 
